const subcommands = [
  require('./create'),
  require('./list'),
  require('./delete'),
  require('./stop'),
  require('./start'),
  require('./upgrade')
]

let _yargs

module.exports = {
  builder: yargs => (_yargs = yargs) && yargs.command(subcommands).scriptName(''),
  handler: argv => !argv[1] && _yargs.showHelp(),
  command: 'instance',
  describe: 'Instance related commands'
}
